Package be.ehealth.businessconnector.tarification.builder

# Class TarificationRequestBuilderFactory

java.lang.Object
be.ehealth.businessconnector.tarification.builder.TarificationRequestBuilderFactory

public final class TarificationRequestBuilderFactory extends Object
creates the `RequestBuilder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_REQUESTBUILDER_CLASS`
  the name of the default implemention of the ResponseObjectBuilder.
  `static final String`
  `PROP_REQUESTBUILDER_CLASS`
  property name which can be used to set an alternative implementation of the ResponseObjectBuilder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RequestBuilder`
  `getRequestObjectBuilder()`
  Retrieves an instance of a `RequestBuilder` implementation The implementation could be a custom class defined in the configuration file with the properties 'registration.responseobjectbuilder.class'

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_REQUESTBUILDER_CLASS

    public static final String PROP_REQUESTBUILDER_CLASS
    property name which can be used to set an alternative implementation of the ResponseObjectBuilder.
    See Also:
      - Constant Field Values

  - ### DEFAULT_REQUESTBUILDER_CLASS

    public static final String DEFAULT_REQUESTBUILDER_CLASS
    the name of the default implemention of the ResponseObjectBuilder.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getRequestObjectBuilder

    public static RequestBuilder getRequestObjectBuilder() throws TechnicalConnectorException
    Retrieves an instance of a `RequestBuilder` implementation The implementation could be a custom class defined in the configuration file with the properties 'registration.responseobjectbuilder.class'
    Returns:
      `RequestBuilder` the instance of the `RequestBuilder`
    Throws:
      `TechnicalConnectorException`